Skip to main content
`Ctrl`+`K`

# MATSOLVERMATLAB

“matlab” - Providing direct solver LU for `MATSEQAIJ` matrix via the external package MATLAB. Use `./configure` with the options `--with-matlab` to install PETSc with this capability

## Options Database Key

- -pc_factor_mat_solver_type matlab - selects MATLAB to do the sparse factorization

## See Also

Matrices, `Mat`, `PCLU`, `PCFactorSetMatSolverType()`, `MatSolverType`

## Level

beginner

## Location

src/mat/impls/aij/seq/matlab/aijmatlab.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages